package com.gic.haoban.manage.web.vo.scan;

import com.gic.haoban.manage.web.vo.coupon.CoupCardVO;
import com.gic.haoban.manage.web.vo.order.OrderDetailVO;
import com.gic.marketing.api.dto.CoupCardDTO;

import java.io.Serializable;

public class ScanDetailVO implements Serializable {

    private static final long serialVersionUID = 5215230055823016992L;

    /**
     * 订单详情
     */
    private OrderDetailVO orderDetailVO;

    /**
     * 卡券详情
     */
    private CoupCardVO cardVO;

    /**
     * 订单错误信息
     */
    private String orderError;

    /**
     * 卡券错误信息
     */
    private String couponError;

    /**
     * 错误信息类型 1弹窗
     */
    private Integer couponErrorType = 0;

    public OrderDetailVO getOrderDetailVO() {
        return orderDetailVO;
    }

    public void setOrderDetailVO(OrderDetailVO orderDetailVO) {
        this.orderDetailVO = orderDetailVO;
    }

    public CoupCardVO getCardVO() {
        return cardVO;
    }

    public void setCardVO(CoupCardVO cardVO) {
        this.cardVO = cardVO;
    }

    public String getOrderError() {
        return orderError;
    }

    public void setOrderError(String orderError) {
        this.orderError = orderError;
    }

    public String getCouponError() {
        return couponError;
    }

    public void setCouponError(String couponError) {
        this.couponError = couponError;
    }

    public Integer getCouponErrorType() {
        return couponErrorType;
    }

    public void setCouponErrorType(Integer couponErrorType) {
        this.couponErrorType = couponErrorType;
    }
}
